Menu icon Foundation
After Foundation / SASS / Compass install, then what?

I'm currently at hour three of being very confused. This state of confusion is probably of my own doing. I apologize to the community for my ignorance but I throw myself upon your mercy and wisdom. Please help.

I followed the install instructions at http://foundation.zurb.com/docs/sass.html, which all seemed very straight forward.

My file structure is as listed at http://foundation.zurb.com/docs/sass-files.html

But I go to load the index.html in my browser and I see:

Screenshot 2014 10 21 14.30.24

I feel like I'm missing a vital step, it would appear I'm not loading any CSS - why is this? Am I supposed to compile before I try to load the page in browser? Am I supposed to set Compass or Sass to watch certain directories?

I thought it could be something to do with a compatibility issue as described here: http://foundation.zurb.com/forum/posts/18630-scss-compiles-but-resulting-css-file-incomplete

currently I'm running

Windows 7
Sass 3.2.9
compass 0.12.7
foundation 1.0.4

I think I might have a dependency issue. I tried to run 'compass init' and this is outputted in my CLI:

C:/RailsInstaller/Ruby1.9.3/lib/ruby/site_ruby/1.9.1/rubygems/depend
in `to_specs': Could not find sass (< 3.5, >= 3.3.13)
amongst [actio19,
actionpack-3.2.19,
activemodel-3.2.19,
activerecord-3.2.19,
actiserver-adapter-3.2.12,
activeresource-3.2.19,
activesupport-3.2.19,
bigdecimal-1.1.0,
builder-3.0.4,
bundler-1.7.2,
chunky_png-1.3.1,
co.2.2,
coffee-script-2.3.0,
coffee-script-source-1.8.0,
compass-1.0.1
12.7,
compass-core-1.0.1,
compass-import-once-1.0.5,
erubis-2.7.0, e
ffi-1.9.6-x86-mingw32,
ffi-1.9.5-x86-mingw32,
foundation-1.0.4,
fsske-1.2.3,
i18n-0.6.11,
io-console-0.3,
journey-1.0.4,
jquery-rails-11.5.5,
mail-2.5.4,
mime-types-1.25.1,
minitest-2.5.1,
multi_json-1.1
.1-x86-mingw32,
polyglot-0.3.5,
rack-1.4.5,
rack-cache-1.2,
rack-ssl-test-0.6.2,
rails-3.2.19,
railties-3.2.19,
rake-10.3.2,
rake-0.9.2.t-0.9.4,
rb-inotify-0.9.5,
rb-readline-0.5.1,
rdoc-3.9.5,
rubyzip-1.2.19,
sass-3.2.9,
sass-rails-3.2.6,
sprockets-2.2.2,
sqlite3-1.3.9-x
sqlite3-ruby-1.3.3,
thor-0.19.1, tilt-1.4.1,
tiny_tds-0.6.2-x86-ming
-1.4.15,
tzinfo-0.3.41]

(Gem::LoadError)
from C:/RailsInstaller/Ruby1.9.3/lib/ruby/site_ruby/1.9.1/ru
fication.rb:778:in block in activate_dependencies'
from C:/RailsInstaller/Ruby1.9.3/lib/ruby/site_ruby/1.9.1/ru
fication.rb:767:ineach'
from C:/RailsInstaller/Ruby1.9.3/lib/ruby/site_ruby/1.9.1/ru
fication.rb:767:in activate_dependencies'
from C:/RailsInstaller/Ruby1.9.3/lib/ruby/site_ruby/1.9.1/ru
fication.rb:751:inactivate'
from C:/RailsInstaller/Ruby1.9.3/lib/ruby/site_ruby/1.9.1/ru
32:in gem'
from C:/RailsInstaller/Ruby1.9.3/bin/compass:22:in'

Is there a way I can start the process over? Perhaps I screwed up the order I should have installed my gems.

If there is further information anyone needs I'll happily supply it. Please help me make this work.

COSMO

installissuesSasscompassnot loading css

I'm currently at hour three of being very confused. This state of confusion is probably of my own doing. I apologize to the community for my ignorance but I throw myself upon your mercy and wisdom. Please help.

I followed the install instructions at http://foundation.zurb.com/docs/sass.html, which all seemed very straight forward.

My file structure is as listed at http://foundation.zurb.com/docs/sass-files.html

But I go to load the index.html in my browser and I see:

Screenshot 2014 10 21 14.30.24

I feel like I'm missing a vital step, it would appear I'm not loading any CSS - why is this? Am I supposed to compile before I try to load the page in browser? Am I supposed to set Compass or Sass to watch certain directories?

I thought it could be something to do with a compatibility issue as described here: http://foundation.zurb.com/forum/posts/18630-scss-compiles-but-resulting-css-file-incomplete

currently I'm running

Windows 7
Sass 3.2.9
compass 0.12.7
foundation 1.0.4

I think I might have a dependency issue. I tried to run 'compass init' and this is outputted in my CLI:

C:/RailsInstaller/Ruby1.9.3/lib/ruby/site_ruby/1.9.1/rubygems/depend
in `to_specs': Could not find sass (< 3.5, >= 3.3.13)
amongst [actio19,
actionpack-3.2.19,
activemodel-3.2.19,
activerecord-3.2.19,
actiserver-adapter-3.2.12,
activeresource-3.2.19,
activesupport-3.2.19,
bigdecimal-1.1.0,
builder-3.0.4,
bundler-1.7.2,
chunky_png-1.3.1,
co.2.2,
coffee-script-2.3.0,
coffee-script-source-1.8.0,
compass-1.0.1
12.7,
compass-core-1.0.1,
compass-import-once-1.0.5,
erubis-2.7.0, e
ffi-1.9.6-x86-mingw32,
ffi-1.9.5-x86-mingw32,
foundation-1.0.4,
fsske-1.2.3,
i18n-0.6.11,
io-console-0.3,
journey-1.0.4,
jquery-rails-11.5.5,
mail-2.5.4,
mime-types-1.25.1,
minitest-2.5.1,
multi_json-1.1
.1-x86-mingw32,
polyglot-0.3.5,
rack-1.4.5,
rack-cache-1.2,
rack-ssl-test-0.6.2,
rails-3.2.19,
railties-3.2.19,
rake-10.3.2,
rake-0.9.2.t-0.9.4,
rb-inotify-0.9.5,
rb-readline-0.5.1,
rdoc-3.9.5,
rubyzip-1.2.19,
sass-3.2.9,
sass-rails-3.2.6,
sprockets-2.2.2,
sqlite3-1.3.9-x
sqlite3-ruby-1.3.3,
thor-0.19.1, tilt-1.4.1,
tiny_tds-0.6.2-x86-ming
-1.4.15,
tzinfo-0.3.41]

(Gem::LoadError)
from C:/RailsInstaller/Ruby1.9.3/lib/ruby/site_ruby/1.9.1/ru
fication.rb:778:in block in activate_dependencies'
from C:/RailsInstaller/Ruby1.9.3/lib/ruby/site_ruby/1.9.1/ru
fication.rb:767:ineach'
from C:/RailsInstaller/Ruby1.9.3/lib/ruby/site_ruby/1.9.1/ru
fication.rb:767:in activate_dependencies'
from C:/RailsInstaller/Ruby1.9.3/lib/ruby/site_ruby/1.9.1/ru
fication.rb:751:inactivate'
from C:/RailsInstaller/Ruby1.9.3/lib/ruby/site_ruby/1.9.1/ru
32:in gem'
from C:/RailsInstaller/Ruby1.9.3/bin/compass:22:in'

Is there a way I can start the process over? Perhaps I screwed up the order I should have installed my gems.

If there is further information anyone needs I'll happily supply it. Please help me make this work.

COSMO

This post has been closed. No new replies can be added.

cosmoSwiller almost 5 years ago

This is magically working now, I have no idea what I did. Not a good situation. I'd rather be screwed and know it than good but not how...